# Developer API

Product API's are provided via our [Nexus repository](https://nexus.supremeventures.ca/). All APIs provided via our nexus utilize [Lazy](https://github.com/Savag3life/Lazy), which automatically extracts developer APIs from all products when they are published to customers.

Distributed API jars contain the same method & field signatures, while removing all our internal method logic. This allows the jars to be safely shared without compromising any sensitive data.&#x20;

{% tabs %}
{% tab title="Maven" %}

```xml
<repositories>
    <repository> <!-- Supreme Ventures Nexus -->
        <id>supreme-ventures-nexus</id>
        <url>https://nexus.supremeventures.ca/repository/maven-releases/</url>
    </repository>
</repositories>

<dependencies>
    <dependency> <!-- SVLib -->
        <groupId>not.savage</groupId>
        <artifactId>SVCommonLib</artifactId>
        <version>1.0.51</version>
        <scope>provided</scope>
    </dependency>
</dependencies>
```

{% endtab %}

{% tab title="Gradle" %}

```gradle
repositories {
    maven {
        url "https://nexus.supremeventures.ca/repository/maven-releases/"
    }
}

dependencies {
    // SVLib
    compileOnly group: 'not.savage', name: 'SVCommonLib', version: '1.0.51'
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Please note the versions on this page may not be the most up-to-date! Please check our [Nexus server](https://nexus.supremeventures.ca/#browse/browse:maven-releases:me%2Fsavag3%2FGucciCommons) for the latest build versions.
{% endhint %}

{% hint style="danger" %}
**Private use of SVCommonsLib**

Please note that you technically can you use SVCommonsLib for private work, but this isn't recommended. As Commons is a close-source internal tool, we do not publicly share the details of API changes, usage, or Java Docs for any components.\
\
**Expect API methods, classes, or fields to be changed or removed without notice.**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.supremeventures.ca/important-information/developer-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
